/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.mospcommon.system.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

/**
 * CM_AGREEMENT_WORK_ON(休出協定マスタ)のDTOクラス。
 */
public class CmAgreementWorkOnDto extends BaseDto {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= 9135621150824298187L;
	// フィールド
	private int					workonid			= 0;
	private String				workoncode			= "";
	private String				worktypename		= "";
	private String				cause				= "";
	private String				standardweekholiday	= "";
	private String				officialholiday		= "";
	private String				japaneseholidayflag	= "";
	private String				holidaymasterflag	= "";
	private int					standardholidayrate	= 0;
	private int					officialholidayrate	= 0;
	private int					numberofworkon		= 0;
	private int					starttime			= 0;
	private int					endtime				= 0;
	private Date				startdate			= null;
	private int					deleteflag			= 0;
	

	/**
	 * コンストラクタ。
	 */
	public CmAgreementWorkOnDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return workonid 	休出協定ID。
	 */
	public int getWorkOnId() {
		return workonid;
	}
	
	/**
	 * @return workoncode 	休出協定コード。
	 */
	public String getWorkOnCode() {
		return workoncode;
	}
	
	/**
	 * @return worktypename 	業務の種類。
	 */
	public String getWorkTypeName() {
		return worktypename;
	}
	
	/**
	 * @return cause 	具体的事由。
	 */
	public String getCause() {
		return cause;
	}
	
	/**
	 * @return standardweekholiday 	所定休日。
	 */
	public String getStandardWeekHoliday() {
		return standardweekholiday;
	}
	
	/**
	 * @return officialholiday 	法定休日。
	 */
	public String getOfficialHoliday() {
		return officialholiday;
	}
	
	/**
	 * @return japaneseholidayflag 	国民の祝日フラグ。
	 */
	public String getJapaneseHolidayFlag() {
		return japaneseholidayflag;
	}
	
	/**
	 * @return holidaymasterflag 	祝祭日マスタフラグ。
	 */
	public String getHolidayMasterFlag() {
		return holidaymasterflag;
	}
	
	/**
	 * @return standardholidayrate 	所定休日割増賃金率。
	 */
	public int getStandardHolidayRate() {
		return standardholidayrate;
	}
	
	/**
	 * @return officialholidayrate 	法定休日割増賃金率。
	 */
	public int getOfficialHolidayRate() {
		return officialholidayrate;
	}
	
	/**
	 * @return numberofworkon 	休出日数。
	 */
	public int getNumberOfWorkOn() {
		return numberofworkon;
	}
	
	/**
	 * @return starttime 	開始時刻。
	 */
	public int getStartTime() {
		return starttime;
	}
	
	/**
	 * @return endtime 	終了時刻。
	 */
	public int getEndTime() {
		return endtime;
	}
	
	/**
	 * @return startdate 	開始年月日。
	 */
	public Date getStartDate() {
		return (Date)startdate.clone();
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param workonid 	セットする休出協定ID。
	 */
	public void setWorkOnId(int workonid) {
		this.workonid = workonid;
	}
	
	/**
	 * @param workoncode 	セットする休出協定コード。
	 */
	public void setWorkOnCode(String workoncode) {
		this.workoncode = workoncode;
	}
	
	/**
	 * @param worktypename 	セットする業務の種類。
	 */
	public void setWorkTypeName(String worktypename) {
		this.worktypename = worktypename;
	}
	
	/**
	 * @param cause 	セットする具体的事由。
	 */
	public void setCause(String cause) {
		this.cause = cause;
	}
	
	/**
	 * @param standardweekholiday 	セットする所定休日。
	 */
	public void setStandardWeekHoliday(String standardweekholiday) {
		this.standardweekholiday = standardweekholiday;
	}
	
	/**
	 * @param officialholiday 	セットする法定休日。
	 */
	public void setOfficialHoliday(String officialholiday) {
		this.officialholiday = officialholiday;
	}
	
	/**
	 * @param japaneseholidayflag 	セットする国民の祝日フラグ。
	 */
	public void setJapaneseHolidayFlag(String japaneseholidayflag) {
		this.japaneseholidayflag = japaneseholidayflag;
	}
	
	/**
	 * @param holidaymasterflag 	セットする祝祭日マスタフラグ。
	 */
	public void setHolidayMasterFlag(String holidaymasterflag) {
		this.holidaymasterflag = holidaymasterflag;
	}
	
	/**
	 * @param standardholidayrate 	セットする所定休日割増賃金率。
	 */
	public void setStandardHolidayRate(int standardholidayrate) {
		this.standardholidayrate = standardholidayrate;
	}
	
	/**
	 * @param officialholidayrate 	セットする法定休日割増賃金率。
	 */
	public void setOfficialHolidayRate(int officialholidayrate) {
		this.officialholidayrate = officialholidayrate;
	}
	
	/**
	 * @param numberofworkon 	セットする休出日数。
	 */
	public void setNumberOfWorkOn(int numberofworkon) {
		this.numberofworkon = numberofworkon;
	}
	
	/**
	 * @param starttime 	セットする開始時刻。
	 */
	public void setStartTime(int starttime) {
		this.starttime = starttime;
	}
	
	/**
	 * @param endtime 	セットする終了時刻。
	 */
	public void setEndTime(int endtime) {
		this.endtime = endtime;
	}
	
	/**
	 * @param startdate 	セットする開始年月日。
	 */
	public void setStartDate(Date startdate) {
		this.startdate = (Date)startdate.clone();
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
